{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.help_bubble.position" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"animations": [
						"scale_up"
					],
					"transitions" : [
						{ "scale_to_front" : "v.angle_from_body_rotation > v.threshold" }
					]
				},
				"scale_to_front": {
					"animations": [
						"scale_down"
					],
					"transitions": [
						{ "in_front": "q.all_animations_finished && q.property('ldz:bubble_type') != 'wraith'" },
						{ "in_front_wraith": "q.all_animations_finished && q.property('ldz:bubble_type') == 'wraith'" }
					]
				},
				"in_front" : {
					"animations": [
						"scale_up",
						"in_front"
					],
					"transitions" : [
						{ "scale_to_default" : "v.angle_from_body_rotation <= v.threshold" }	
					]
				},
				"scale_to_default": {
					"animations": [
						"scale_down",
						"in_front"
					],
					"transitions": [
						{ "default": "q.all_animations_finished" }
					]
				},
				"in_front_wraith" : {
					"animations": [
						"scale_up",
						"in_front_wraith"
					],
					"transitions" : [
						{ "scale_to_default_wraith" : "v.angle_from_body_rotation <= v.threshold" }	
					]
				},
				"scale_to_default_wraith": {
					"animations": [
						"scale_down",
						"in_front_wraith"
					],
					"transitions": [
						{ "default": "q.all_animations_finished" }
					]
				}
			}
		}
	}
}
